View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
12120Feature requestsPluginspublic2017-09-22 11:00
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary12120: Command action with target
Description

Currently we have a cron command : then if we need a single action done :! we have to create a cron plugin and all other plugin goes for this cron.
Maybe it's better if we have a specific plugin with target mandatory.

Additional Information

application command/console.php plugin action target= seem OK

And add target, default to null in cron.

TagsNo tags attached.
Bug heat4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2017-02-09 19:31

developer   ~42992

https://github.com/LimeSurvey/LimeSurvey/pull/638

Usage
php application/commands/console.php plugin --target=mypluglin
php application/commands/console.php plugin --target=mypluglin --function=specific --option=one

user70560

2017-02-13 09:39

  ~43005

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22275

Related Changesets

LimeSurvey: master 1f266acc

2017-02-13 09:39:25

user70560


Committer: GitHub Details Diff
New feature 12120: direct action by php-cli (#638)

Dev: target mandatory
Dev: 2 optionnal parameters function and options
Affected Issues
12120
mod - application/commands/PluginCommand.php Diff File

Issue History

Date Modified Username Field Change
2017-02-09 15:02 DenisChenu New Issue
2017-02-09 15:02 DenisChenu Status new => assigned
2017-02-09 15:02 DenisChenu Assigned To => DenisChenu
2017-02-09 19:31 DenisChenu Note Added: 42992
2017-02-13 09:39 user70560 Changeset attached => LimeSurvey master 1f266acc
2017-02-13 09:39 user70560 Note Added: 43005
2017-02-13 09:39 user70560 Assigned To DenisChenu => user70560
2017-02-13 09:39 user70560 Resolution open => fixed
2017-02-13 09:40 DenisChenu Assigned To user70560 => DenisChenu
2017-02-13 09:40 DenisChenu Status assigned => resolved
2017-09-22 11:00 c_schmitz Status resolved => closed
2017-09-22 11:00 c_schmitz Fixed in Version => 2.x.x